package com.younike.system.service;

import java.util.List;
import com.younike.system.domain.OrderPayment;

/**
 * 订单支付支付串Service接口
 * 
 * @author elev
 * @date 2022-01-20
 */
public interface IOrderPaymentService {
    /**
     * 查询订单支付支付串
     * 
     * @param orderId 订单支付支付串主键
     * @return 订单支付支付串
     */
    OrderPayment selectOrderPaymentByOrderId(Long orderId);

    /**
     * 查询订单支付支付串列表
     * 
     * @param orderPayment 订单支付支付串
     * @return 订单支付支付串集合
     */
    List<OrderPayment> selectOrderPaymentList(OrderPayment orderPayment);

    /**
     * 新增订单支付支付串
     * 
     * @param orderPayment 订单支付支付串
     * @return 结果
     */
    int insertOrderPayment(OrderPayment orderPayment);

    /**
     * 修改订单支付支付串
     * 
     * @param orderPayment 订单支付支付串
     * @return 结果
     */
    int updateOrderPayment(OrderPayment orderPayment);

    /**
     * 批量删除订单支付支付串
     * 
     * @param orderIds 需要删除的订单支付支付串主键集合
     * @return 结果
     */
    int deleteOrderPaymentByOrderIds(Long[] orderIds);

    /**
     * 删除订单支付支付串信息
     * 
     * @param orderId 订单支付支付串主键
     * @return 结果
     */
    int deleteOrderPaymentByOrderId(Long orderId);

    void clearPaymentStr(Long orderId);
}
